"use strict";

const { Model } = require("objection");

module.exports = function ({ db }) {
	return class TaskInProgress extends Model {
		static tableName = "srap_tasksInProgress";
		static idColumn = [ "task", "itemId" ];
	
		static get relationMappings() {
			return {
				item: {
					relation: Model.BelongsToOneRelation,
					modelClass: db.Item,
					join: { from: "srap_tasksInProgress.itemId", to: "srap_item.id" }
				}
			};
		};
	}
};
